processors:
  mswriter: {}
  signal-display-metrics-0:
    command:
    - plasma-processor
    - realtime.receive.processors.sdp.metrics.signal_display_metrics.SignalDisplayMetrics
    - --plasma_socket
    - /plasma/socket
    - --readiness-file
    - /tmp/processor_ready
    - --use-sdp-metadata
    - "False"
    - --metrics
    - stats,spectrum
    image: artefact.skao.int/ska-sdp-realtime-receive-processors
    name: signal-display-metrics-0
    readinessProbe:
      file: /tmp/processor_ready
    version: 3.0.0
  signal-display-metrics-2:
    command:
    - plasma-processor
    - realtime.receive.processors.sdp.metrics.signal_display_metrics.SignalDisplayMetrics
    - --plasma_socket
    - /plasma/socket
    - --readiness-file
    - /tmp/processor_ready
    - --use-sdp-metadata
    - "False"
    - --metrics
    - phase
    image: artefact.skao.int/ska-sdp-realtime-receive-processors
    name: signal-display-metrics-2
    readinessProbe:
      file: /tmp/processor_ready
    version: 3.0.0
signal_display:
  metrics:
  - spectrum
  - phase
